> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fractalpay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Pay Link

> Delete Pay Link



## OpenAPI

````yaml delete /pay-link/{linkId}
openapi: 3.0.3
info:
  title: Fractal
  version: 1.0.0
  contact: {}
servers:
  - url: https://testapi.fractalpay.com/api/v1
    description: Sandbox
  - url: https://api.fractalpay.com/api/v1
    description: Production
security: []
tags:
  - name: Merchant Onboarding
  - name: Payment Collection Methods
  - name: Requests
  - name: Preauthorizations
  - name: Customers
  - name: Charging Customer
  - name: Transactions
paths:
  /pay-link/{linkId}:
    delete:
      tags:
        - Payment Collection Methods
      summary: Delete Pay Link
      description: Delete Pay Link
      operationId: deletePayLink
      parameters:
        - name: linkId
          in: path
          required: true
          description: The `link_id` of the pay link to delete.
          schema:
            type: string
            example: ord_a64b33f04e
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                merchant_key:
                  type: string
                  description: >-
                    The merchant's unique key. Returned in the `merchant_key`
                    field of the get merchants by client call.
                  example: '{{merchant_key}}'
              required:
                - merchant_key
            examples:
              Delete Pay Link:
                value:
                  merchant_key: '{{merchant_key}}'
      responses:
        '200':
          description: Delete Pay Link
          content:
            application/json:
              schema:
                type: object
                properties:
                  result:
                    type: boolean
                    example: true
                  link_id:
                    type: string
                    example: ord_a64b33f04e
                  message:
                    type: string
                    example: link deleted
              examples:
                Delete Pay Link:
                  value:
                    result: true
                    link_id: ord_a64b33f04e
                    message: link deleted
        '404':
          description: >-
            Link not found, does not belong to the merchant, or has already been
            paid
          content:
            application/json:
              schema:
                type: object
                properties:
                  result:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Link not found
      security:
        - basicAuth: []
components:
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: |-
        Use your Fractal API credentials.

        Username = Client ID
        Password = Secret Key

        Sandbox credentials can be generated from the Test Portal.

````